## ThunarWindow ThunarWindow |

## Functions

ThunarFile * | thunar_window_get_current_directory ()
void | thunar_window_set_current_directory ()
void | thunar_window_scroll_to_file ()
GList * | thunar_window_get_directories ()
gboolean | thunar_window_set_directories ()
void | thunar_window_update_directories ()
void | thunar_window_notebook_toggle_split_view ()
void | thunar_window_notebook_open_new_tab ()
void | thunar_window_notebook_add_new_tab ()
void | thunar_window_notebook_remove_tab ()
void | thunar_window_notebook_set_current_tab ()
gboolean | thunar_window_has_shortcut_sidepane ()
gboolean | thunar_window_has_tree_view_sidepane ()
GtkWidget * | thunar_window_get_sidepane ()
void | thunar_window_append_menu_item ()
ThunarActionManager * | thunar_window_get_action_manager ()
void | thunar_window_redirect_menu_tooltips_to_statusbar ()
const XfceGtkActionEntry * | thunar_window_get_action_entry ()
void | thunar_window_open_files_in_location ()
void | thunar_window_show_and_select_files ()
void | thunar_window_update_search ()
gboolean | thunar_window_action_cancel_search ()
gboolean | thunar_window_action_search ()
void | thunar_window_update_statusbar ()
void | thunar_window_toolbar_toggle_item_visibility ()
void | thunar_window_toolbar_swap_items ()
XfceGtkActionEntry * | thunar_window_get_action_entries ()
void | thunar_window_reconnect_accelerators ()

## Properties

ThunarFile * | current-directory | Read / Write
gboolean | directory-specific-settings | Read / Write
ThunarZoomLevel | zoom-level | Read / Write

## Signals

gboolean | reload | Action
gboolean | tab-change | Action
gboolean | zoom-in | Action
gboolean | zoom-out | Action
gboolean | zoom-reset | Action

## Types and Values

enum | ThunarWindowAction

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── ThunarWindow

## Description

## Functions

### thunar_window_get_current_directory ()

    ThunarFile *
    thunar_window_get_current_directory (ThunarWindow *window);

Queries the ThunarFile instance, which represents the directory currently displayed within `window` . `NULL` is returned if `window` is not currently associated with any directory.

#### Parameters

window | a ThunarWindow instance. |

#### Returns

the directory currently displayed within `window` or `NULL`.

### thunar_window_set_current_directory ()

    void
    thunar_window_set_current_directory (ThunarWindow *window,
                                         ThunarFile *current_directory);

#### Parameters

window | a ThunarWindow instance. |
current_directory | the new directory or `NULL`. |

### thunar_window_scroll_to_file ()

    void
    thunar_window_scroll_to_file (ThunarWindow *window,
                                  ThunarFile *file,
                                  gboolean select,
                                  gboolean use_align,
                                  gfloat row_align,
                                  gfloat col_align);

Tells the `window` to scroll to the `file` in the current view.

#### Parameters

window | a ThunarWindow instance. |
file | a ThunarFile. |
select_file | if `TRUE` the `file` will also be selected. |
use_align | `TRUE` to use the alignment arguments. |
row_align | the vertical alignment. |
col_align | the horizontal alignment. |

### thunar_window_get_directories ()

    GList *
    thunar_window_get_directories (ThunarWindow *window,
                                   gint *active_page);

### thunar_window_set_directories ()

    gboolean
    thunar_window_set_directories (ThunarWindow *window,
                                   gchar **uris,
                                   gint active_page);

### thunar_window_update_directories ()

    void
    thunar_window_update_directories (ThunarWindow *window,
                                      ThunarFile *old_directory,
                                      ThunarFile *new_directory);

### thunar_window_notebook_toggle_split_view ()

    void
    thunar_window_notebook_toggle_split_view
                                   (ThunarWindow *window);

Toggles the split-view functionality for `window` .

#### Parameters

window | a ThunarWindow instance. |

### thunar_window_notebook_open_new_tab ()

    void
    thunar_window_notebook_open_new_tab (ThunarWindow *window,
                                         ThunarFile *directory);

### thunar_window_notebook_add_new_tab ()

    void
    thunar_window_notebook_add_new_tab (ThunarWindow *window,
                                        ThunarFile *directory,
                                        ThunarNewTabBehavior behavior);

### thunar_window_notebook_remove_tab ()

    void
    thunar_window_notebook_remove_tab (ThunarWindow *window,
                                       gint tab);

Removes `tab` page from the currently selected notebook.

#### Parameters

window | a ThunarWindow instance. |
tab | the page index as a gint. |

### thunar_window_notebook_set_current_tab ()

    void
    thunar_window_notebook_set_current_tab
                                   (ThunarWindow *window,
                                    gint tab);

Switches to the `tab` page in the currently selected notebook.

#### Parameters

window | a ThunarWindow instance. |
tab | the page index as a gint. |

### thunar_window_has_shortcut_sidepane ()

    gboolean
    thunar_window_has_shortcut_sidepane (ThunarWindow *window);

#### Parameters

window | a ThunarWindow instance. |

#### Returns

True, if this window is running a shortcut sidepane

### thunar_window_has_tree_view_sidepane ()

    gboolean
    thunar_window_has_tree_view_sidepane (ThunarWindow *window);

#### Parameters

window | a ThunarWindow instance. |

#### Returns

True, if this window is running a tree_view sidepane

### thunar_window_get_sidepane ()

    GtkWidget *
    thunar_window_get_sidepane (ThunarWindow *window);

#### Parameters

window | a ThunarWindow instance. |

#### Returns

The ThunarSidePane of this window, or NULL if not available.

[transfer none]

### thunar_window_append_menu_item ()

    void
    thunar_window_append_menu_item (ThunarWindow *window,
                                    GtkMenuShell *menu,
                                    ThunarWindowAction action);

Adds the selected, widget specific GtkMenuItem to the passed GtkMenuShell

#### Parameters

window | Instance of a ThunarWindow |
menu | GtkMenuShell to which the item should be added |
action | ThunarWindowAction to select which item should be added |

### thunar_window_get_action_manager ()

    ThunarActionManager *
    thunar_window_get_action_manager (ThunarWindow *window);

#### Parameters

window | a ThunarWindow instance. |

#### Returns

The single ThunarActionManager of this ThunarWindow.

[transfer none]

### thunar_window_redirect_menu_tooltips_to_statusbar ()

    void
    thunar_window_redirect_menu_tooltips_to_statusbar
                                   (ThunarWindow *window,
                                    GtkMenu *menu);

All tooltips of the provided GtkMenu and any submenu will not be shown directly any more. Instead they will be shown in the status bar of the passed ThunarWindow

#### Parameters

window | a ThunarWindow instance. |
menu | GtkMenu for which all tooltips should be shown in the statusbar |

### thunar_window_get_action_entry ()

    const XfceGtkActionEntry *
    thunar_window_get_action_entry (ThunarWindow *window,
                                    ThunarWindowAction action);

returns a reference to the requested XfceGtkActionEntry

#### Parameters

window | Instance of a ThunarWindow |
action | ThunarWindowAction for which the XfceGtkActionEntry is requested |

#### Returns

The reference to the XfceGtkActionEntry.

[transfer none]

### thunar_window_open_files_in_location ()

    void
    thunar_window_open_files_in_location (ThunarWindow *window,
                                          GList *files_to_select);

### thunar_window_show_and_select_files ()

    void
    thunar_window_show_and_select_files (ThunarWindow *window,
                                         GList *files_to_select);

Visually selects the files, given by the list. If the files are being restored from the trash folder new tabs are opened and then the files are selected.

#### Parameters

window | a ThunarWindow instance. |
files_to_select | a list of GFiles |

### thunar_window_update_search ()

    void
    thunar_window_update_search (ThunarWindow *window);

### thunar_window_action_cancel_search ()

    gboolean
    thunar_window_action_cancel_search (ThunarWindow *window);

### thunar_window_action_search ()

    gboolean
    thunar_window_action_search (ThunarWindow *window);

### thunar_window_update_statusbar ()

    void
    thunar_window_update_statusbar (ThunarWindow *window);

### thunar_window_toolbar_toggle_item_visibility ()

    void
    thunar_window_toolbar_toggle_item_visibility
                                   (ThunarWindow *window,
                                    gint index);

### thunar_window_toolbar_swap_items ()

    void
    thunar_window_toolbar_swap_items (ThunarWindow *window,
                                      gint index_a,
                                      gint index_b);

### thunar_window_get_action_entries ()

    XfceGtkActionEntry *
    thunar_window_get_action_entries (void);

### thunar_window_reconnect_accelerators ()

    void
    thunar_window_reconnect_accelerators (ThunarWindow *window);

Used to recreate the accelerator group when the accelerator map changes. This way the open windows can use the updated shortcuts.

#### Parameters

window | a ThunarWindow instance. |

## Types and Values

### enum ThunarWindowAction

#### Members

THUNAR_WINDOW_ACTION_FILE_MENU |  |
THUNAR_WINDOW_ACTION_NEW_TAB |  |
THUNAR_WINDOW_ACTION_NEW_WINDOW |  |
THUNAR_WINDOW_ACTION_DETACH_TAB |  |
THUNAR_WINDOW_ACTION_CLOSE_TAB |  |
THUNAR_WINDOW_ACTION_CLOSE_WINDOW |  |
THUNAR_WINDOW_ACTION_CLOSE_ALL_WINDOWS |  |
THUNAR_WINDOW_ACTION_EDIT_MENU |  |
THUNAR_WINDOW_ACTION_UNDO |  |
THUNAR_WINDOW_ACTION_REDO |  |
THUNAR_WINDOW_ACTION_PREFERENCES |  |
THUNAR_WINDOW_ACTION_VIEW_MENU |  |
THUNAR_WINDOW_ACTION_RELOAD |  |
THUNAR_WINDOW_ACTION_RELOAD_ALT |  |
THUNAR_WINDOW_ACTION_VIEW_SPLIT |  |
THUNAR_WINDOW_ACTION_VIEW_LOCATION_SELECTOR_MENU |  |
THUNAR_WINDOW_ACTION_VIEW_LOCATION_SELECTOR_ENTRY |  |
THUNAR_WINDOW_ACTION_VIEW_LOCATION_SELECTOR_BUTTONS |  |
THUNAR_WINDOW_ACTION_VIEW_SIDE_PANE_MENU |  |
THUNAR_WINDOW_ACTION_VIEW_SIDE_PANE_SHORTCUTS |  |
THUNAR_WINDOW_ACTION_VIEW_SIDE_PANE_TREE |  |
THUNAR_WINDOW_ACTION_TOGGLE_SIDE_PANE |  |
THUNAR_WINDOW_ACTION_TOGGLE_IMAGE_PREVIEW |  |
THUNAR_WINDOW_ACTION_VIEW_STATUSBAR |  |
THUNAR_WINDOW_ACTION_VIEW_MENUBAR |  |
THUNAR_WINDOW_ACTION_CONFIGURE_TOOLBAR |  |
THUNAR_WINDOW_ACTION_SHOW_HIDDEN |  |
THUNAR_WINDOW_ACTION_ZOOM_IN |  |
THUNAR_WINDOW_ACTION_ZOOM_IN_ALT_1 |  |
THUNAR_WINDOW_ACTION_ZOOM_IN_ALT_2 |  |
THUNAR_WINDOW_ACTION_ZOOM_OUT |  |
THUNAR_WINDOW_ACTION_ZOOM_OUT_ALT |  |
THUNAR_WINDOW_ACTION_ZOOM_RESET |  |
THUNAR_WINDOW_ACTION_ZOOM_RESET_ALT |  |
THUNAR_WINDOW_ACTION_CLEAR_DIRECTORY_SPECIFIC_SETTINGS |  |
THUNAR_WINDOW_ACTION_VIEW_AS_ICONS |  |
THUNAR_WINDOW_ACTION_VIEW_AS_DETAILED_LIST |  |
THUNAR_WINDOW_ACTION_VIEW_AS_COMPACT_LIST |  |
THUNAR_WINDOW_ACTION_GO_MENU |  |
THUNAR_WINDOW_ACTION_BOOKMARKS_MENU |  |
THUNAR_WINDOW_ACTION_OPEN_PARENT |  |
THUNAR_WINDOW_ACTION_BACK |  |
THUNAR_WINDOW_ACTION_BACK_ALT |  |
THUNAR_WINDOW_ACTION_FORWARD |  |
THUNAR_WINDOW_ACTION_OPEN_FILE_SYSTEM |  |
THUNAR_WINDOW_ACTION_OPEN_HOME |  |
THUNAR_WINDOW_ACTION_OPEN_DESKTOP |  |
THUNAR_WINDOW_ACTION_OPEN_COMPUTER |  |
THUNAR_WINDOW_ACTION_OPEN_RECENT |  |
THUNAR_WINDOW_ACTION_OPEN_TRASH |  |
THUNAR_WINDOW_ACTION_OPEN_LOCATION |  |
THUNAR_WINDOW_ACTION_OPEN_LOCATION_ALT |  |
THUNAR_WINDOW_ACTION_OPEN_TEMPLATES |  |
THUNAR_WINDOW_ACTION_OPEN_NETWORK |  |
THUNAR_WINDOW_ACTION_HELP_MENU |  |
THUNAR_WINDOW_ACTION_CONTENTS |  |
THUNAR_WINDOW_ACTION_ABOUT |  |
THUNAR_WINDOW_ACTION_SWITCH_PREV_TAB |  |
THUNAR_WINDOW_ACTION_SWITCH_NEXT_TAB |  |
THUNAR_WINDOW_ACTION_SEARCH |  |
THUNAR_WINDOW_ACTION_CANCEL_SEARCH |  |
THUNAR_WINDOW_ACTION_SHOW_HIGHLIGHT |  |
THUNAR_WINDOW_N_ACTIONS |  |

## Property Details

### The `“current-directory”` property

      “current-directory”        ThunarFile *

The directory currently displayed within this ThunarWindow or `NULL`.

Owner: ThunarWindow

Flags: Read / Write

### The `“directory-specific-settings”` property

      “directory-specific-settings” gboolean

Whether to use directory specific settings.

Owner: ThunarWindow

Flags: Read / Write

Default value: FALSE

### The `“zoom-level”` property

      “zoom-level”               ThunarZoomLevel

The ThunarZoomLevel applied to the ThunarView currently shown within this window.

Owner: ThunarWindow

Flags: Read / Write

Default value: THUNAR_ZOOM_LEVEL_100_PERCENT

## Signal Details

### The `“reload”` signal

    gboolean
    user_function (ThunarWindow *window,
                   gboolean      arg1,
                   gpointer      user_data)

Emitted whenever the user requests to reload the contents of the currently displayed folder.

#### Parameters

window | a ThunarWindow instance. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“tab-change”` signal

    gboolean
    user_function (ThunarWindow *window,
                   int           idx,
                   gpointer      user_data)

Emitted whenever the user uses a Alt+N combination to switch tabs.

#### Parameters

window | a ThunarWindow instance. |
idx | tab index, |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“zoom-in”` signal

    gboolean
    user_function (ThunarWindow *window,
                   gpointer      user_data)

Emitted whenever the user requests to zoom in. This is an internal signal used to bind the action to keys.

#### Parameters

window | a ThunarWindow instance. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“zoom-out”` signal

    gboolean
    user_function (ThunarWindow *window,
                   gpointer      user_data)

Emitted whenever the user requests to zoom out. This is an internal signal used to bind the action to keys.

#### Parameters

window | a ThunarWindow instance. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“zoom-reset”` signal

    gboolean
    user_function (ThunarWindow *window,
                   gpointer      user_data)

Emitted whenever the user requests reset the zoom level. This is an internal signal used to bind the action to keys.

#### Parameters

window | a ThunarWindow instance. |
user_data | user data set when the signal handler was connected. |

Flags: Action